Subject: Re: bug#14229: invalid TZ and /bin/date

From: Mike Frysinger <[email-masked]>
Date: Fri, 19 Apr 2013 16:26:18 -0400

On Friday 19 April 2013 15:47:46 Donald Berry wrote:
> Yes, date/GNU accepts whatever TZ string you pass it without error, but
> this leads to very confusing results.
Paul said the "GNU system", not "GNU/date".  coreutils doesn't parse the TZ 
env var, the C library does.  similarly, the date program doesn't do the time 
parsing, it relies on the C library to handle these details.  your use of 
`date` here is just the simplest way from the command line to test the C 
library.  you can write C code that calls the timezone funcs and see the same 
behavior.

> Is there any documentation of what the supported/recognized TZ strings are?
>  Are there any plans to reject invalid strings?

in the GNU system, that means glibc does the parsing.  so review the glibc 
manual for details:
http://www.gnu.org/software/libc/manual/html_node/TZ-Variable.html
-mike